<ion-header>
  <!-- <ion-toolbar>
    <ion-title>viewEvents</ion-title>
  </ion-toolbar> -->
</ion-header>

<ion-content>
  
  <div class="ms-home-body">

    <ion-refresher (ionRefresh)="doRefresh($event)" slot="fixed">
      <ion-refresher-content
      pullingIcon="arrow-dropdown"
      pullingText="Pull to refresh"
      refreshingSpinner="circles"
      refreshingText="Refreshing...">
      </ion-refresher-content>
    </ion-refresher>

  <ion-list scrollY="true" class="ms-list">
    <ion-item-sliding *ngFor="let event of ( events | async )">
        <ion-item class="ms-view-row ms-depth-8" (click)="viewEvent(event)">
          <ion-thumbnail class="ms-view-row-thumbnail">
            <ion-img class="ms-img" src="../../assets/images/login-image.png"></ion-img>
          </ion-thumbnail>
          <span class="ms-milestone-coordinated" *ngIf="!event.selfManaged">
              <i class="ms-Icon ms-Icon--Group" aria-hidden="true"></i>
          </span>
          <ion-col >
            <ion-row class="ms-view-row-item">
              <div class="ms-view-row-title">{{ event.description }} </div>
            </ion-row>
            <ion-row class="ms-view-row-item">
              <p class="ms-view-row-details">
                  {{ event.eventType }} <br>
                  {{ event.targetDateTime | date:'MMM d, y, h:mm a' }}
                </p>
            </ion-row>
          </ion-col>
          <ion-col>
              <ion-icon name="arrow-dropleft" class="ms-arrow"></ion-icon>
          </ion-col>
        </ion-item>
        <ion-item-options slot="end" class="ms-view-row-options">
          <button ion-button color="secondary" class="ms-entry-edit">
              <span class="ms-button-action">
                  <i class="ms-Icon ms-Icon--SingleColumnEdit"></i>
              </span>
          </button>
          <button ion-button color="danger" class="ms-entry-delete">
              <span class="ms-button-action">
                  <i class="ms-Icon ms-Icon--Delete"></i>
              </span>
          </button>

        </ion-item-options>
    </ion-item-sliding>
    </ion-list>
    
  </div>


</ion-content>
